set(lrpo).

assign(max_mem, 24000).
assign(max_seconds, 1800).

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).
clear(print_given).

set(basic_paramod).
set(functional_subsume).
set(ordered_paramod).
set(prime_paramod).

assign(pick_given_ratio, 4).

set(para_pairs).  % delete for given algorithm

%%%%%%%%%%%%%%%%%%%%%%
op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

% assign(max_weight, 21).

end_of_commands.

list(sos).
(x + y) * y = y.
x * (y + z) = (y * x) + (z * x).
x + x@ = 1.
(x * y) + y = y.
x + (y * z) = (y + x) * (z + x).
x * x@ = 0.

(A * B) * C != A * (B * C).
end_of_list.
